# Uses of Class
org.jmol.api.JmolAdapter

Packages that use JmolAdapter
Package
Description
org.jmol.adapter.smarter
org.jmol.api
org.jmol.modelsetbio
org.jmol.viewer
org.openscience.jmol.app.jmolpanel

## Uses of JmolAdapter in org.jmol.adapter.smarter

Subclasses of JmolAdapter in org.jmol.adapter.smarter
Modifier and Type
Class
Description
`class`
`SmarterJmolAdapter`

## Uses of JmolAdapter in org.jmol.api

Methods in org.jmol.api that return JmolAdapter
Modifier and Type
Method
Description
`abstract JmolAdapter`
JmolViewer.`getModelAdapter()`
Methods in org.jmol.api with parameters of type JmolAdapter
Modifier and Type
Method
Description
`static JmolViewer`
JmolViewer.`allocateViewer(Object container, JmolAdapter jmolAdapter)`
a simpler option
`static JmolViewer`
JmolViewer.`allocateViewer(Object display, JmolAdapter modelAdapter, String fullName, URL documentBase, URL codeBase, String commandOptions, JmolStatusListener statusListener)`
legacy only
`protected static JmolViewer`
JmolViewer.`allocateViewer(Object display, JmolAdapter modelAdapter, String fullName, URL documentBase, URL codeBase, String commandOptions, JmolStatusListener statusListener, GenericPlatform implementedPlatform)`
This is the older main access point for creating an application or applet vwr.

## Uses of JmolAdapter in org.jmol.modelsetbio

Methods in org.jmol.modelsetbio with parameters of type JmolAdapter
Modifier and Type
Method
Description
`void`
BioResolver.`addImplicitHydrogenAtoms(JmolAdapter adapter, int iGroup, int nH)`
Get bonding info for double bonds and add implicit hydrogen atoms, if needed.
`void`
BioResolver.`iterateOverAllNewStructures(JmolAdapter adapter, Object atomSetCollection)`
Pull in all spans of helix, etc.

## Uses of JmolAdapter in org.jmol.viewer

Methods in org.jmol.viewer that return JmolAdapter
Modifier and Type
Method
Description
`JmolAdapter`
Viewer.`getModelAdapter()`
Methods in org.jmol.viewer with parameters of type JmolAdapter
Modifier and Type
Method
Description
`protected static JmolViewer`
Viewer.`allocateViewer(Object display, JmolAdapter modelAdapter, String fullName, URL documentBase, URL codeBase, String commandOptions, JmolStatusListener statusListener, GenericPlatform implementedPlatform)`
old way...

## Uses of JmolAdapter in org.openscience.jmol.app.jmolpanel

Fields in org.openscience.jmol.app.jmolpanel declared as JmolAdapter
Modifier and Type
Field
Description
`protected JmolAdapter`
JmolPanel.`modelAdapter`